Symbian应用程序开发环境搭建

真无聊 搞什么Symbian

破Symbian,开发环境真麻烦。不过developer.symbian.org蛮好的

 

参考http://developer.symbian.org/wiki/index.php/What_are_the_application_developer_kits%3F

 

下载

perl,必须用5.6.1版,不然不行
jre,要下1.5(5.0)的,不然不行

ADT_v1.0.exe

S60_5th_Edition_SDK_v1_0_en.zip

S60_5th_Edition_SDK_InstallationGuide.zip

参考http://hi.baidu.com/jingle8848/blog/item/1f5277cdb55afb570eb345e6.html/cmtid/116f0e3d1175f909bba1673f

 

安装

按照《下载》里面的顺序安装

同时S60_5th_Edition_SDK_InstallationGuide

 

验证安装

装完后参照InstallationGuide里的Verifying验证安装

第二步 devices -setdefault @S60_5th_Edition_SDK_v1.0:com.nokia.s60 时,提示

Cannot set device 'S60_5th_Edition_SDK_v1.0:com.nokia.s60' as default; device no
t known.

解决方法:

运行 devices -add C:/S60/devices/S60_5th_Edition_SDK_v1.0/epoc32 C:/S60/devices/S60_5th_Edition_SDK_v1.0/epoc32/lib @S60_5th_Edition_SDK_v1.0:com.nokia.s60 (2个路径改成自己的)

再运行devices -setdefault @S60_5th_Edition_SDK_v1.0:com.nokia.s60就ok了

 

第五步 bldmake bldfiles 时,提示

Sorry , /epoc32/tools/bldmake.bat is not supported in this release. Please use a different device.

解决方法:

运行All Programs | Symbian Foundation ADT /PDT vX.X | Carbide .c++ vX.X

进入windows-->Preferences-->Carbide C++ -->SDK Preferences

此栏有红色的即是不正常的

点击sdk properties,如果osversion、sdkversion为空,选择os version为9.4 sdk version为5.0

若提示tools路径未找到,把EPOCROOT的路径的最后的epoc32/ 去掉

参考http://www.wangxinus.com/2010/03/31/264

 

如果还不行,请按顺序重装

 

第六步 abld build 时提示

nothing to do

解决方法:

运行 start->All Programs->Carbide C++ V2.0-> Configure environment for WINSCW command line

 

然后再cmd输入 epoc,即可启动模拟器

可以在menu->applications里找到helloworld

 

nnd

发布了27 篇原创文章 · 获赞 4 · 访问量 8万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览